org.apache.ignite.internal.processors.query.schema.operation

## Class SchemaAbstractAlterTableOperation

- java.lang.Object
- - org.apache.ignite.internal.processors.query.schema.operation.SchemaAbstractOperation
  - - org.apache.ignite.internal.processors.query.schema.operation.SchemaAbstractAlterTableOperation

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  SchemaAlterTableAddColumnOperation, SchemaAlterTableDropColumnOperation

    public class SchemaAbstractAlterTableOperation
    extends SchemaAbstractOperation

Parent class for ALTER TABLE command variants.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`SchemaAbstractAlterTableOperation(UUID opId, String cacheName, String schemaName)` Constructor.

### Method Summary

### Methods inherited from class org.apache.ignite.internal.processors.query.schema.operation.SchemaAbstractOperation

`cacheName, id, schemaName, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SchemaAbstractAlterTableOperation

    public SchemaAbstractAlterTableOperation(UUID opId,
                                             String cacheName,
                                             String schemaName)

Constructor.

Parameters:
  `opId` - Operation ID.
  `cacheName` - Cache name.
  `schemaName` - Schema name.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.4.0
Release Date | : March 5 2018